@tailwind base;
@tailwind components;
@tailwind utilities;

@layer utilities {
  .buttonRClipPatch,
  .buttonLClipPatch,
  .sliderPfeileL,
  .sliderPfeileR {
    mask-image: radial-gradient(
      circle,
      rgba(0, 0, 0, 1) 90%,
      rgba(0, 0, 0, 1) 50%,
      rgba(0, 0, 0, 0) 100%
    );
  }

  .buttonRClipPatch {
    clip-path: polygon(0% 0%, 100% 0%, 87% 0%, 132% 100%, 22% 100%, 0% 50%);
  }

  .buttonLClipPatch {
    clip-path: polygon(13% 0%, 100% 0%, 121% 0%, 77% 100%, 0% 100%, -32% 100%);
  }

  .sliderPfeileL {
    clip-path: polygon(3% 49%, 91% 0%, 100% 0%, 100% 100%, 0% 100%, 91% 100%);
  }

  .sliderPfeileR {
    clip-path: polygon(0% -4%, 100% 49%, 100% 0%, 100% 49%, 7% 100%, 0% 100%);
  }

  .scrollbar::-webkit-scrollbar {
    width: 15px;
    height: 15px;
  }

  .scrollbar::-webkit-scrollbar-track {
    border-radius: 100vh;
    background: #76f3ff;
  }

  .scrollbar::-webkit-scrollbar-thumb {
    background: #315267;
    border-radius: 100vh;
    border: 2px solid #76f3ff;
  }

  .scrollbar::-webkit-scrollbar-thumb:hover {
  }
  @media only screen and (min-width: 2800px) {
    .scrollbar::-webkit-scrollbar {
      width: 35px;
    }
    .scrollbar::-webkit-scrollbar-thumb {
      border: 5px solid #76f3ff;
    }
  }
  @media only screen and (max-width: 1024px) {
    .scrollbar::-webkit-scrollbar {
      width: 10px;
    }
  }
}
@layer components {
  .statistic {
    @apply absolute top-[7.5%] sm-xs:top-[7%]  sm-s:top-[8.5%] sm:top-[6%]  md:top-[7.5%]  lg:top-[9%];
  }
  .textTitel {
    @apply text-[#76f3ff] sm-xs:text-base sm:text-lg md:text-lg xl:text-2xl 2xl:top-[10%] 2xl:text-3xl 3xl:text-4xl 4K:top-[11%] 4K:text-5xl;
  }
  .text {
    @apply text-[10px] text-[#76f3ff] sm-s:text-[12px] md:text-sm xl:text-lg 2xl:text-xl 3xl:text-2xl 4K:text-4xl;
  }
  .titel {
    @apply absolute left-[13%]  w-[75%] break-words rounded-lg border-[1px] border-[#808080] bg-white  text-[#808080];
  }
  .box {
    @apply relative flex justify-center whitespace-pre-line bg-[#3A6274];
  }
  .box2 {
    @apply relative flex justify-center whitespace-pre-line;
  }
  .textGame {
    @apply text-[7px] text-[#76f3ff] sm-xs:text-[8px] sm-s:text-[10px] sm:text-[9px] md:text-[10px] md-l:text-[10px] lg:text-[12px] xl:text-[16px] 2xl:text-2xl 3xl:text-2xl 4K:text-5xl;
  }
  .round-btn {
    @apply block h-28 w-28 cursor-pointer justify-center rounded-full border-4 border-white bg-[rgb(58,98,116)] px-4 pb-2 text-2xl text-[12px] font-medium text-white shadow-sm  hover:bg-[rgb(46,78,94)] focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-offset-gray-100 sm-s:h-28 sm-s:w-28 sm-s:border-4  sm:text-sm lg:h-36 lg:w-36 xl:border-4 xl-l:h-40 xl-l:w-40 4K:h-80 4K:w-80 4K:border-[14px] 4K:text-4xl;
  }
}
html,
body {
  background-color: #0e2c42;
  padding: 0;
  margin: 0;
  font-family: "Open Sans", sans-serif, -apple-system, BlinkMacSystemFont,
    Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans,
    Helvetica Neue;
}
von global.css a {
  color: inherit;
  text-decoration: none;
}

* {
  box-sizing: border-box;
}
